Author Topic: [RELEASE][First ever commercial game support] LocoRoco Motion Plugin 0.99  (Read 26455 times)

0 Members and 1 Guest are viewing this topic.

Offline Mr305

  • Full Member
  • ***
  • Posts: 176
Update:

It requires you to have CWCheat and Custom Firmware extender to be installed; though it really has NOTHING to do with this -- it has something to do with module loading time
If the plugin fails, try the above fix. [I will most probably release a fix version 1.0 ]
Otherwise, you may get a "Motion Kit Not detected... Exiting. " Message



LocoRoco Motion Plugin
-----------------------------
This is the first ever homebrew that provides motion support for a commercial game.  ::sm-12.gif::

The name is self-explanatory. You tilt the PSP either left or right and Loco's do their magic. You donot need the original game to try this, this also works with all LocoRoco demos.

Requirements:
-----------------
1)Neo Motion Kit
2) CFW atleast v3.71 - due to NID compatibility.


Videos Illustrations:
---------------------------

Tutorial / How to use the plugin

Fast Paced action video [OUTDATED]

Installation:

1) Copy MotionRoco.prx to seplugins folder
2) Add the line ms0:/seplugins/MotionRoco.prx to game.txt in seplugins folder.
3) Enable in recovery

Any suggestions for improvement welcome.

Enjoy! 

December 26 2007, Latest version v0.99 Post #6
« Last Edit: February 07, 2008, 08:00:17 AM by Mr305 »

Offline sven

  • Neo MOD
  • Hero Member
  • *
  • Posts: 1394
    • the one starting with: "www." you'll find the rest.
very nice, this is what we would like to see
O hai

Offline Dr.neo

  • Administrator
  • Hero Member
  • *****
  • Posts: 3826
it's so nice!  ~sm-42.gif~
In my world,have 0 and 1 only ......Matrix World......

Offline Mr305

  • Full Member
  • ***
  • Posts: 176
More updates ยง features coming soon. :)     

Lovin' my motion kit :D

Offline Sektor

  • Sr. Member
  • ****
  • Posts: 394
    • gtamp.com/DS
There is an extra http in the links that needs fixing.

I haven't tried the plugin yet but nice work anyway.  Now we still need a generic plugin for all games and of course an audio fix.

There's more discussion about it on qj.net.
« Last Edit: December 26, 2007, 03:23:13 PM by Sektor »

Offline Mr305

  • Full Member
  • ***
  • Posts: 176
There is an extra http in the links that needs fixing.

I haven't tried the plugin yet but nice work anyway.  Now we still need a generic plugin for all games and of course an audio fix.

There's more discussion about it on qj.net.


Fixed. You could also try it with the LocoRoco Demo  ~sm-36.gif~

All the discussion on this:
http://www.google.com/search?q=Locoroco+motion+plugin&ie=utf-8&oe=utf-8&aq=t&rls=org.mozilla:en-US:official&client=firefox-a

Offline Mr305

  • Full Member
  • ***
  • Posts: 176
[UPDATE] V0.99
« Reply #6 on: December 27, 2007, 01:32:04 AM »
Update. :D

Requirements:
-------------
1)Neo Motion Kit
2) CFW atleast v3.71 - due to NID compatibility.

Changelog:
----------
1) Added audio Fix; Audio works perfectly along with motion for perfect LocoRoco game experience.
   Thanks to ps2dev members.
2) Added a check, wherein the plugin self-terminates with a message, if Motion Kit is unplugged or not plugged in
   before the game begins or due to failure in initialization; hence if anything fails, you can still
   play the game unlike previous version which caused "unusably sluggish behaviour".
3) Added a Jump function but something isn't right. Tilt forward and then backward.
   [This will most probably be removed in next version if I can't figure out the problem]
4) Substantially improved chances of succesfull initialization. Failure rate - 1 in 10 times.
5) Reduced CPU usage - removed unused stuff / Z axis reading / other calculations

Additional Notes:
-----------------
1) After muting and disabling by using Note button, audio doesn't re-enable, Press Vol Up or Down.
2) You'll see a slight delay when you change the volume -- it's normal.

Upcoming:
---------

Analog Motion Mapper for Mercury Meltdown / any 3d game.

Any suggestions for improvement welcome. Enjoy.

Note: Put "REAL USER" in your post let me know you have actually tried this. Also Video showing new version in action coming soon.

Download Attached Below
Donate


Watch the Latest Video
« Last Edit: December 27, 2007, 04:41:22 AM by Mr305 »

Offline Mr305

  • Full Member
  • ***
  • Posts: 176
For now

It requires you to have CWCheat and Custom Firmware extender to be installed; though it really has no link -- it has something to do with module loading time

If the plugin fails, try the above fix. [I will most probably release a fix version 1.0 ]
« Last Edit: February 07, 2008, 07:55:51 AM by Mr305 »

Offline Mr305

  • Full Member
  • ***
  • Posts: 176
Just reminding every one that; This plugin will NOT work on 3.90M33 or higher.
The last & best compatible firmware is 3.80M33-5.  ::sm-12.gif::

I will release an update after March 20 ::sm-29.gif::

Offline sturmen

  • Sr. Member
  • ****
  • Posts: 358
  • Fear me.
    • Sturmen's Site
Just reminding every one that; This plugin will NOT work on 3.90M33 or higher.
The last & best compatible firmware is 3.80M33-5.  ::sm-12.gif::

I will release an update after March 20 ::sm-29.gif::
"After"? Not as an entry to the compo? Because that'd be pretty sweet.

Buy from these websites!
DealExtreme or Play-Asia

Offline Mr305

  • Full Member
  • ***
  • Posts: 176
Back and working on this to add compatibility to 3.90 M33 FW's --- Which doesn't seem to even INITIALIZE this plugin  ???